Name:		pipewalker
Version:	0.9.4
Release:	1%{?dist}
Summary:	Puzzle Game

Group:		Amusements/Games
License:	GPLv2+
URL:		http://pipewalker.sourceforge.net/
Source0:	http://downloads.sourceforge.net/pipewalker/%{name}-%{version}.tar.gz
Source1:	pipewalker.6.gz

BuildRequires:	SDL-devel,mesa-libGL-devel,libpng-devel,desktop-file-utils

%description
This is a puzzle game in which you need to combine the components
into a single circuit: connect all computers to a network server,
bring water to the taps, etc.


%prep
%setup -q

# Fix the EOL encoding of the README
sed -i 's/\r$//' README

%build
# Disable Fortify Source as we're building with debug enabled and no optimization
CXXFLAGS="$CXXFLAGS -U_FORTIFY_SOURCE" %configure --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

#Install the man page
mkdir -p %{buildroot}%{_mandir}/man6/
cp %{SOURCE1} %{buildroot}%{_mandir}/man6/

%files
%{_bindir}/*
/usr/share/pipewalker
/usr/share/applications/*
/usr/share/pixmaps/*

# The README will be included by doc below
%exclude /usr/share/doc/%{name}/README

# This file is for Debian only
%exclude /usr/share/menu/pipewalker

%doc README AUTHORS COPYING ChangeLog
%{_mandir}/*/*

%changelog
* Tue Apr 1 2014 Gareth Williams <gareth@garethwilliams.me.uk> - 0.9.4-1
- Initial RPM release
